org.apache.maven.plugin.logging

## Class SystemStreamLog

- java.lang.Object
- - org.apache.maven.plugin.logging.SystemStreamLog

All Implemented Interfaces:
  Log

    public class SystemStreamLog
    extends java.lang.Object
    implements Log

Logger with "standard" output and error output stream.

Version:
  $Id: SystemStreamLog.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  jdcasey

### Constructor Summary

Constructors
Constructor and Description
`SystemStreamLog()`

### Method Summary

Methods
`void` `debug(java.lang.CharSequence content)` Send a message to the user in the debug error level.
`void` `debug(java.lang.CharSequence content, java.lang.Throwable error)` Send a message (and accompanying exception) to the user in the debug error level.
`void` `debug(java.lang.Throwable error)` Send an exception to the user in the debug error level.
`void` `error(java.lang.CharSequence content)` Send a message to the user in the error error level.
`void` `error(java.lang.CharSequence content, java.lang.Throwable error)` Send a message (and accompanying exception) to the user in the error error level.
`void` `error(java.lang.Throwable error)` Send an exception to the user in the error error level.
`void` `info(java.lang.CharSequence content)` Send a message to the user in the info error level.
`void` `info(java.lang.CharSequence content, java.lang.Throwable error)` Send a message (and accompanying exception) to the user in the info error level.
`void` `info(java.lang.Throwable error)` Send an exception to the user in the info error level.
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isWarnEnabled()`
`void` `warn(java.lang.CharSequence content)` Send a message to the user in the warn error level.
`void` `warn(java.lang.CharSequence content, java.lang.Throwable error)` Send a message (and accompanying exception) to the user in the warn error level.
`void` `warn(java.lang.Throwable error)` Send an exception to the user in the warn error level.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SystemStreamLog

    public SystemStreamLog()

### Method Detail

#### debug

    public void debug(java.lang.CharSequence content)

Description copied from interface: `Log`
Send a message to the user in the debug error level.

Specified by:
  `debug` in interface `Log`
See Also:
  `Log.debug(java.lang.CharSequence)`

#### debug

    public void debug(java.lang.CharSequence content,
             java.lang.Throwable error)

Description copied from interface: `Log`
Send a message (and accompanying exception) to the user in the debug error level.
The error's stacktrace will be output when this error level is enabled.

Specified by:
  `debug` in interface `Log`
See Also:
  `Log.debug(java.lang.CharSequence, java.lang.Throwable)`

#### debug

    public void debug(java.lang.Throwable error)

Description copied from interface: `Log`
Send an exception to the user in the debug error level.
The stack trace for this exception will be output when this error level is enabled.

Specified by:
  `debug` in interface `Log`
See Also:
  `Log.debug(java.lang.Throwable)`

#### info

    public void info(java.lang.CharSequence content)

Description copied from interface: `Log`
Send a message to the user in the info error level.

Specified by:
  `info` in interface `Log`
See Also:
  `Log.info(java.lang.CharSequence)`

#### info

    public void info(java.lang.CharSequence content,
            java.lang.Throwable error)

Description copied from interface: `Log`
Send a message (and accompanying exception) to the user in the info error level.
The error's stacktrace will be output when this error level is enabled.

Specified by:
  `info` in interface `Log`
See Also:
  `Log.info(java.lang.CharSequence, java.lang.Throwable)`

#### info

    public void info(java.lang.Throwable error)

Description copied from interface: `Log`
Send an exception to the user in the info error level.
The stack trace for this exception will be output when this error level is enabled.

Specified by:
  `info` in interface `Log`
See Also:
  `Log.info(java.lang.Throwable)`

#### warn

    public void warn(java.lang.CharSequence content)

Description copied from interface: `Log`
Send a message to the user in the warn error level.

Specified by:
  `warn` in interface `Log`
See Also:
  `Log.warn(java.lang.CharSequence)`

#### warn

    public void warn(java.lang.CharSequence content,
            java.lang.Throwable error)

Description copied from interface: `Log`
Send a message (and accompanying exception) to the user in the warn error level.
The error's stacktrace will be output when this error level is enabled.

Specified by:
  `warn` in interface `Log`
See Also:
  `Log.warn(java.lang.CharSequence, java.lang.Throwable)`

#### warn

    public void warn(java.lang.Throwable error)

Description copied from interface: `Log`
Send an exception to the user in the warn error level.
The stack trace for this exception will be output when this error level is enabled.

Specified by:
  `warn` in interface `Log`
See Also:
  `Log.warn(java.lang.Throwable)`

#### error

    public void error(java.lang.CharSequence content)

Description copied from interface: `Log`
Send a message to the user in the error error level.

Specified by:
  `error` in interface `Log`
See Also:
  `Log.error(java.lang.CharSequence)`

#### error

    public void error(java.lang.CharSequence content,
             java.lang.Throwable error)

Description copied from interface: `Log`
Send a message (and accompanying exception) to the user in the error error level.
The error's stacktrace will be output when this error level is enabled.

Specified by:
  `error` in interface `Log`
See Also:
  `Log.error(java.lang.CharSequence, java.lang.Throwable)`

#### error

    public void error(java.lang.Throwable error)

Description copied from interface: `Log`
Send an exception to the user in the error error level.
The stack trace for this exception will be output when this error level is enabled.

Specified by:
  `error` in interface `Log`
See Also:
  `Log.error(java.lang.Throwable)`

#### isDebugEnabled

    public boolean isDebugEnabled()

Specified by:
  `isDebugEnabled` in interface `Log`
Returns:
  true if the debug error level is enabled
See Also:
  `Log.isDebugEnabled()`

#### isInfoEnabled

    public boolean isInfoEnabled()

Specified by:
  `isInfoEnabled` in interface `Log`
Returns:
  true if the info error level is enabled
See Also:
  `Log.isInfoEnabled()`

#### isWarnEnabled

    public boolean isWarnEnabled()

Specified by:
  `isWarnEnabled` in interface `Log`
Returns:
  true if the warn error level is enabled
See Also:
  `Log.isWarnEnabled()`

#### isErrorEnabled

    public boolean isErrorEnabled()

Specified by:
  `isErrorEnabled` in interface `Log`
Returns:
  true if the error error level is enabled
See Also:
  `Log.isErrorEnabled()`